﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="_Default" CodeFile="~/Default.aspx.cs" %>

<%@ Register Assembly="Validator" Namespace="Validator" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
  <title>Validator Extender Demo Page</title>
  <link href="styles.css" rel="stylesheet" type="text/css" />
</head>
<body>
  <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePartialRendering="true" />
    <cc1:ValidatorExtender ID="ValidatorExtender1" runat="server" TargetControlID="TestValidator"
      ServiceMethod="ServerValidate_1" ErrorCssClass="error" UpdatingCssClass="updating" />
    <cc1:ValidatorExtender ID="ValidatorExtender2" runat="server" TargetControlID="TestValidator2"
      ServiceMethod="ServerValidate_2" ErrorCssClass="error" UpdatingCssClass="updating" />
    <asp:TextBox ID="TestField" runat="server" CssClass="required" />
    <asp:RequiredFieldValidator ID="TestValidator" runat="server" ControlToValidate="TestField"
      ErrorMessage="This field is required" />
    <br />
    <asp:TextBox ID="TestField2" runat="server" CssClass="normal" />
    <asp:RegularExpressionValidator ID="TestValidator2" runat="server" ErrorMessage="This has to be a number"
      ControlToValidate="TestField2" ValidationExpression="^\d$"></asp:RegularExpressionValidator>
    <br />
    <asp:Button ID="TestButton" runat="server" Text="Submit" CausesValidation="true" />
    <asp:Button ID="Button1" runat="server" Text="No validation" CausesValidation="false" />
    <br />
    <strong>Values after postback</strong>
    <br />
    <asp:Label ID="messageLabel" runat="server" Text="Not submited yet." />
    <br />
  </form>

  <script type="text/xml-script">
        <page xmlns:script="http://schemas.microsoft.com/xml-script/2005">
            <references>
            </references>
            <components>
            </components>
        </page>
  </script>

</body>
</html>
