using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Web.Services;
using System.Web.Script.Services;

namespace DemoWebSite.Validator
{
	public partial class _default : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			messageLabel.Text = "TestField=" + TestField.Text + "<br/>TestField2=" + TestField2.Text;
		}

		[WebMethod]
		[ScriptMethod]
		public static string ServerValidate_2(string value, bool isValid)
		{
			// a little pause to mimic a latent call.
			System.Threading.Thread.Sleep(1000);
			int intValue = 0;
			if (!int.TryParse(value, out intValue))
				return "This has to be a number";
			if (intValue >= 6)
				return "";
			else
				return "This has to be greater than 5";
		}

		[WebMethod]
		[ScriptMethod]
		public static string ServerValidate_1(string value, bool isValid)
		{
			// a little pause to mimic a latent call.
			System.Threading.Thread.Sleep(2000);
			if (value.Length >= 4)
				return "";
			else
				return "This has to be longer than 3 characters";
		}
	}
}
